<!DOCTYPE html>
<html>

<head>
    <title>Viaje a tu Medida</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <!-- Importar CSS de bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">

    <!-- Importar iconos de bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">

    <script src="js/request.js"></script>
    <script src="js/vuelo.js"></script>
    <script>
        window.onload = function(){

            const urlParams = new URLSearchParams(window.location.search);

            if(urlParams.get('id') != null ){
                loadFlightById(urlParams.get('id'), false );
            }else{
                window.location = 'vuelo.html';
            }
          
        }
    </script>
    
</head>

<body>

    <header class="container">

        <nav class="navbar navbar-expand-lg bg-dark navbar-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">
                    <img src="images/viaje a tu medida.png" alt="Logo" height="30" class="d-inline-block align-text-top">
                    Viaje a tu Medida
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" aria-current="page" href="index.html">Inicio</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" href="vuelo.html">Vuelo</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="ciudad.html">Ciudad</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="origen.html">Origen</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="destino.html">Destino</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="compania.html">Compañia</a>
                        </li>

                    </ul>

                    <span class="ms-auto">
                        <a href="#" class="btn btn-primary">
                            Iniciar sesión
                        </a>
                    </span>
                </div>


            </div>
        </nav>

    </header>

    <section class="container">

        <div class="row">

            <div class="offset-1 col-6">
                <br>
                <h3>Editar una Vuelo</h3>
                
            </div>

        </div>

        <div class="row">

            <div class="container px-5 my-5 ">
                <form onsubmit=editFlight()>

                    <div class="mb-2">
                        <label class="form-label" for="id">Vuelo</label>
                        <input class="form-control" id="id" type="text" placeholder="Vuelo" required />
                    </div>
                    
                    <div class="mb-2">
                        <label class="form-label" for="idOrigen">Origen</label>
                        <input class="form-control" id="idOrigen" type="text" placeholder="Origen" required />
                    </div>
                    <div class="mb-2">
                        <label class="form-label" for="idDestino">Destino</label>
                        <input class="form-control" id="idDestino" type="text" placeholder="Destino" required />
                    </div>
                    <div class="mb-2">
                        <label class="form-label" for="idCompania">Compañia</label>
                        <input class="form-control" id="idCompania" type="text" placeholder="Compañia" required />
                    </div>
                    <div class="mb-2">
                        <label class="form-label" for="fechaVuelo">Fecha de Vuelo</label>
                        <input class="form-control" id="fechaVuelo" type="text" placeholder="Fecha" required />
                    </div>
                    <div class="mb-2">
                        <label class="form-label" for="horaVuelo">Hora de Vuelo</label>
                        <input class="form-control" id="horaVuelo" type="text" placeholder="Hora de Vuelo" required />
                    </div>
                    <div class="mb-2">
                        <label class="form-label" for="valorVuelo">Valor de Vuelo</label>
                        <input class="form-control" id="valorVuelo" type="text" placeholder="Valor de Vuelo" required />
                    </div>
                    
                    <div class="d-grid">
                        <button class="btn btn-primary" id="submitButton" type="submit">Guardar Vuelo</button>
                        <a href="vuelo.html" class="btn btn-warning" id="cancelButton" type="submit">Cancelar</a>
                    </div>
                </form>
            </div>

        </div>

    </section>

    <footer class="container">
        

    </footer>

    <!-- Importar JS de bootstrap-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous">
    </script>

</body>

</html>